import {create} from "axios";
//import store from './index'


// Init a new axios instance, with auth
const instance = create({
    baseURL: 'https://cloud.openshot.org'
});

// Set the AUTH token for any request
instance.interceptors.request.use(function (config) {
    const token = localStorage.auth
    config.headers.Authorization =  token ? token : '';
    return config;
});

// Handle authorization errors
instance.interceptors.response.use(
response => {
    return response;
},
error => {
    if (error.response.status === 401) {
        //store.commit('addError', 'Invalid username or password, please login again')
    }
    return Promise.reject(error)
});

export { instance };